<template>
  <div class="contact-page">
    <!-- <CommingSoon /> -->
    <Overview class="overview"/>
    <div class="form-container">
      <LinedComponent class="form-title">
        <h2 class="title">ارسال پیام</h2>
        <p class="text">پیام خود را از طریق فرم زیر به ما ایمیل کنید.</p>
      </LinedComponent>
      <ContactForm class="form"/>
    </div>
  </div>
</template>

<script>
import CommingSoon from "@/components/layout/CommingSoon";
import Overview from "@/components/contact/Overview";
import ContactForm from "@/components/contact/ContactForm";
import LinedComponent from "@/components/base/LinedComponent";

export default {
  components: {
    CommingSoon,
    Overview,
    ContactForm,
    LinedComponent
  },
  head() {
    return {
      title: "ارتباط با ما"
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables";

.contact-page
  padding $xlg $lg
  display flex
  flex-direction row-reverse
  background-color $black
  @media only screen and (max-width 1000px)
    padding $lg $lg
    flex-direction column-reverse
    align-items center
  @media only screen and (max-width 600px)
    padding $lg $md

.overview
  width 35%
  position relative
  z-index 2
  margin $xlg 2.5rem $lg -7.5rem
  animation right_in .45s ease-out
  @media only screen and (max-width 1000px)
    margin 0
    width 65%
  @media only screen and (max-width 700px)
    width 100%

.form-container
  background-color $black-darken
  width 65%
  border-radius .35rem
  box-shadow 0 .5rem 1.5rem rgba(black, .2)
  position relative
  z-index 1
  padding $md 12rem $md $md
  animation left_in .45s ease-out
  @media only screen and (max-width 1100px)
    padding $md 10rem $md $md
  @media only screen and (max-width 1000px)
    margin-bottom $md
    padding $md
  @media only screen and (max-width 700px)
    width 100%
  @media only screen and (max-width 450px)
    padding 0
    background-color transparent
    box-shadow none

.form-title
  color $white
  margin-bottom $md

.title
  font-size 2.9rem
  margin-bottom $sm

.form
  width 100%

@keyframes right_in 
  0%
    transform translateX(25rem)
  100%
    transform translateX(0)

@keyframes left_in
  0%
    transform translateX(-25rem)
  100%
    transform translateX(0)
</style>